xua_msg Struct Reference

`#include <xua_msg.h>`

## Data Fields

struct xua_common_hdr | hdr
struct osmo_mtp_transfer_param | mtp
struct llist_head | headers

## Field Documentation

## hdr

struct xua_common_hdr xua_msg::hdr

Referenced by data_hdr_from_m3ua(), gen_coerr(), gen_coref_without_conn(), gen_relco(), gen_ret_msg(), gen_rlsd(), hmdt_message_for_distribution(), m3ua_encode_notify(), m3ua_gen_error(), m3ua_rx_msg(), m3ua_rx_rkm(), m3ua_rx_xfer(), m3ua_to_msg(), m3ua_xfer_from_data(), osmo_sccp_to_xua(), osmo_sua_to_sccp(), peer_send(), peer_send_error(), sccp_sclc_rx_from_scrc(), sccp_sclc_rx_scrc_rout_fail(), sccp_scoc_rx_from_scrc(), sccp_scoc_rx_inval_opc(), sccp_scoc_rx_inval_src_ref(), sccp_scoc_rx_unass_local_ref(), sccp_scrc_rx_sclc_msg(), sccp_scrc_rx_scoc_conn_msg(), sua_gen_error(), sua_is_connectionless(), sua_is_cr(), sua_rx_cl(), sua_rx_co(), sua_rx_msg(), sua_to_msg(), xua_dialect_check_all_mand_ies(), xua_from_msg(), xua_gen_msg_cl(), xua_gen_msg_co(), xua_gen_relre(), xua_hdr_dump(), xua_msg_dump(), xua_msg_event_map(), and xua_to_msg().

## headers

struct llist_head xua_msg::headers

Referenced by m3ua_rx_rkm_dereg_rsp(), m3ua_rx_rkm_reg_req(), m3ua_rx_rkm_reg_rsp(), m3ua_xfer_from_data(), xua_ies_to_sccp_opts(), xua_msg_add_data(), xua_msg_alloc(), xua_msg_dump(), xua_msg_find_tag(), xua_msg_free_tag(), and xua_to_msg().

## mtp

struct osmo_mtp_transfer_param xua_msg::mtp

Referenced by deliver_to_mtp_user(), gen_mtp_transfer_req_xua(), hmrt_message_for_routing(), ipa_rx_msg_sccp(), m3ua_hmdc_rx_from_l2(), m3ua_rx_xfer(), mtp_user_prim_cb(), osmo_ss7_user_mtp_xfer_req(), sccp_sclc_rx_scrc_rout_fail(), sccp_scoc_rx_from_scrc(), sccp_scoc_rx_inval_opc(), scoc_fsm_conn_pend_out(), scoc_fsm_idle(), sua2sccp_tx_m3ua(), sua_rx_msg(), tx_coerr_from_xua(), tx_relco_from_xua(), tx_rlsd_from_xua_twoway(), xua_gen_encode_and_send(), and xua_gen_relre_and_send().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/xua_msg.h